EUCA-DESCRIBE-INSTANCES(1)

NAME
euca-describe-instances - Show information about instances

SYNOPSIS
euca-describe-instances [--show-empty-fields] [-U URL]

[--region USER@REGION] [-I KEY_ID] [-S KEY]
    [--security-token TOKEN] [--filter NAME=VALUE] [--debug] [--debugger] [--version] [-h] [INSTANCE [INSTANCE ...]]

DESCRIPTION
Show information about instances

  positional arguments:

INSTANCE
    limit results to specific instances

  optional arguments:

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--filter NAME=VALUE
    restrict results to those that meet criteria

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit

  allowed filter names:

architecture
    CPU architecture

association.allocation-id
    [VPC only] allocation ID bound to a network interface's elastic IP address

association.association-id
    [VPC only] association ID returned when an elastic IP was associated with a network interface

association.ip-owner-id
    [VPC only] ID of the owner of the elastic IP address associated with a network interface

association.public-ip
    [VPC only] address of the elastic IP address bound to a network interface availability-zone block-device-mapping.attach-time volume attachment time

block-device-mapping.delete-on-termination
    whether a volume is deleted upon instance termination

block-device-mapping.device-name
    volume device name (e.g. /dev/sdf)

block-device-mapping.status
    volume status

block-device-mapping.volume-id
    volume ID

client-token
    idempotency token provided at instance run time

dns-name
    public DNS name

group-id
    security group ID

group-name
    security group name

hypervisor
    hypervisor type

iam-instance-profile.arn
    ARN of the instance's instance profile

image-id
    machine image ID

instance.group-id
    security group ID

instance.group-name
    security group name instance-id instance-lifecycle whether this is a spot instance instance-state-code numeric code identifying instance state instance-state-name instance state instance-type ip-address public IP address kernel-id kernel image ID key-name key pair name provided at instance launch time launch-index launch index within a reservation launch-time instance launch time monitoring-state monitoring state ("enabled" or "disabled") network-interface.addresses.association.ip-owner-id

[VPC only] ID of the owner of the private IP
    address associated with a network interface

network-interface.addresses.association.public-ip
    [VPC only] ID of the association of an elastic IP address with a network interface

network-interface.addresses.primary
    [VPC only] whether the IP address of the VPC network interface is the primary private IP address ("true" or "false")

network-interface.addresses.private-ip-address
    [VPC only] network interface's private IP address

network-interface.attachment.device-index
    [VPC only] device index to which a network interface is attached

network-interface.attachment.attach-time
    [VPC only] time a network interface was attached to an instance

network-interface.attachment.attachment-id
    [VPC only] ID of a network interface's attachment

network-interface.attachment.delete-on-termination
    [VPC only] whether a network interface attachment is deleted when an instance is terminated ("true" or "false")

network-interface.attachment.instance-owner-id
    [VPC only] ID of the instance to which a network interface is attached

network-interface.attachment.status
    [VPC only] network interface's attachment status

network-interface.availability-zone
    [VPC only] network interface's availability zone

network-interface.description
    [VPC only] description of a network interface

network-interface.group-id
    [VPC only] network interface's security group ID

network-interface.group-name
    [VPC only] network interface's security group name

network-interface.mac-address
    [VPC only] network interface's hardware address

network-interface.network-interface.id
    [VPC only] ID of a network interface

network-interface.owner-id
    [VPC only] ID of a network interface's owner

network-interface.private-dns-name
    [VPC only] network interface's private DNS name

network-interface.requester-id
    [VPC only] network interface's requester ID

network-interface.requester-managed
    [VPC only] whether the network interface is managed by the service

network-interface.source-destination-check
    [VPC only] whether source/destination checking is enabled for a network interface ("true" or "false")

network-interface.status
    [VPC only] network interface's status

network-interface.subnet-id
    [VPC only] ID of a network interface's subnet

network-interface.vpc-id
    [VPC only] ID of a network interface's VPC

owner-id
    instance owner's account ID placement-group-name platform "windows" for Windows instances private-dns-name private-ip-address product-code product-code.type type of product code ("devpay" or "marketplace")

ramdisk-id
    ramdisk image ID

reason
    reason for the instance's current state

requester-id
    ID of the entity that launched an instance

reservation-id
    ID of the instance's reservation

root-device-name
    root device name (e.g. /dev/sda1)

root-device-type
    root device type ("ebs" or "instance-store") spot-instance-request-id state-reason-code reason code for the most recent state change state-reason-message message describing the most recent state change

subnet-id
    [VPC only] ID of the subnet the instance is in

tag-key
    name of any tag assigned to the instance

tag-value
    value of any tag assigned to the instance

tag:KEY
    specific tag key/value combination virtualization-type vpc-id [VPC only] ID of the VPC the instance is in